Valorant API Unofficial docs
API Reference Local Endpoints — Chat
GET

Chat Participants

Get information about the participants of all active conversations or a specific conversation if a cid is provided

Server Local client Auth Basic · lockfile
GET https://127.0.0.1:{port}/chat/v5/participants?cid={cid}

Headers

Authorization string required
Value Basic {base64 encoded "riot:{lockfile password}"}— Base64 of riot:{lockfile password}, from the Riot Client lockfile

URL parameters

port number required

From the Riot Client lockfile.

How to get it

The port can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Query parameters

cid string optional

A chat conversation ID. The IDs of all active conversations can be found from the All Chat Info endpoint.

Other variables

lockfile password From the Riot Client lockfile.
Details

The password can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Riot Client lockfile

Response

participants array[object]
Show nested attributes Hide nested attributes 9
activePlatform null
cid string
game_name string
game_tag string
muted boolean
name string
pid string
puuid string · uuid

Player UUID

region string